"""add forgot_password field

Revision ID: f8ef6bad794a
Revises: d994081ed483
Create Date: 2020-10-08 18:04:08.204841

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "f8ef6bad794a"
down_revision = "d994081ed483"
branch_labels = None
depends_on = None


def upgrade():
    with op.batch_alter_table("users") as batch_op:
        batch_op.add_column(
            sa.Column("forgot_password", sa.Integer, server_default=sa.text("0")),
        )


def downgrade():
    pass
